Bio::LiveSeq::ChainI(3)

NAME
Bio::LiveSeq::ChainI - Double linked chain data structure

SYNOPSIS
  #documentation needed

DESCRIPTION
This class generates and manipulates generic double linked list, chain, that can be used to manage biological sequences.

The advantages over strings or plain arrays is the ease of tracking changes (mutations) in the elements (sequence). The other side of the coin is that these structures need consideraly more memory, but that is cheap and constantly inceasing resource in computers.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org             - General discussion
  http://bio.perl.org/MailList.html - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Joseph A.L. Insana
Email: Insana@ebi.ac.uk, jinsana@gmx.net Address:

     EMBL Outstation, European Bioinformatics Institute
     Wellcome Trust Genome Campus, Hinxton
     Cambs. CB10 1SD, United Kingdom

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
  Title   : new
  Usage   : $chain = Bio::LiveSeq::ChainI->new(-string => "thequickbrownfoxjumpsoverthelazydog",
                                             -offset => 3 );
         OR $chain = Bio::LiveSeq::ChainI->new(-array => \@array,
                                             -offset => 3 );
  Function: generates a new Bio::LiveSeq:ChainI
  Returns : a new Chain
  Args    : string
         OR arrayreference
        AND optional offset to create element labels